/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */
package com.yifu.cloud.plus.v1.yifu.archives.vo;

import com.yifu.cloud.plus.v1.yifu.archives.entity.*;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 预入职详情
 *
 * @author hgw
 * @date 2024-6-17 16:43:37
 */
@Data
public class PreEmpMainDetailVo implements Serializable {

	private static final long serialVersionUID = 1L;

	// 主表
	private TPreEmpMain main;
	// 预入职-员工不良记录表
	private List<TPreEmpBadRecord> tPreEmpBadRecord;
	// 预入职-紧急联络人
	private List<TPreEmpContactInfo> tPreEmpContactInfo;
	// 预入职-员工申明
	private TPreEmpDeclaration tPreEmpDeclaration;
	// 预入职-员工伤残信息表
	private List<TPreEmpDisabilityInfo> tPreEmpDisabilityInfo;
	// 预入职-员工学历信息表
	private List<TPreEmpEducation> tPreEmpEducation;
	// 预入职-员工家庭信息表
	private List<TPreEmpFamily> tPreEmpFamily;
	// 预入职-人员档案表
	private List<TPreEmployeeInfo> tPreEmployeeInfo;
	// 预入职-项目档案表
	private List<TPreEmployeeProject> tPreEmployeeProject;
	// 预入职-员工职业资格信息表
	private List<TPreEmpProfessionalQualification> tPreEmpProfessionalQualification;
	// 预入职-员工工作履历信息表
	private List<TPreEmpWorkRecording> tPreEmpWorkRecording;
	// 预入职-附件 21（预入职申明签名）；22（预入职确认签名）；23（预入职pdf文件)
	private List<TAttaInfo> attaInfoList;

}
